## Common utilities

Common utilities

## Functions

gboolean | qmi_utils_get_traces_enabled ()
void | qmi_utils_set_traces_enabled ()

## Types and Values

enum | QmiEndian

## Description

This section exposes a set of common utilities that may be used to work with the QMI library.

## Functions

### qmi_utils_get_traces_enabled ()

    gboolean
    qmi_utils_get_traces_enabled (void);

Checks whether QMI message traces are currently enabled.

#### Returns

`TRUE` if traces are enabled, `FALSE` otherwise.

Since: 1.0

### qmi_utils_set_traces_enabled ()

    void
    qmi_utils_set_traces_enabled (gboolean enabled);

Sets whether QMI message traces are enabled or disabled.

#### Parameters

enabled | `TRUE` to enable traces, `FALSE` to disable them. |

Since: 1.0

## Types and Values

### enum QmiEndian

Type of endianness

#### Members

QMI_ENDIAN_LITTLE | Little endian. |
QMI_ENDIAN_BIG | Big endian. |

Since: 1.0